wayland::seat_capability(3)

NAME
wayland::seat_capability - seat capability bitmask

SYNOPSIS

#include <wayland-client-protocol.hpp>

Inherits wayland::detail::bitfield< size, id >.

  Static Public Attributes

static const wayland::detail::bitfield< 3, 12 > pointer {1}
the seat has pointer devices
static const wayland::detail::bitfield< 3, 12 > keyboard {2}
the seat has one or more keyboards
static const wayland::detail::bitfield< 3, 12 > touch {4}
the seat has touch devices

Detailed Description

seat capability bitmask

This is a bitmask of capabilities this seat has; if a member is set, then it is present on the seat.

Examples
egl.cpp, and shm.cpp.

Definition at line 2651 of file wayland-client-protocol.hpp.

Member Data Documentation

  const bitfield< 3, 12 > seat_capability::keyboard {2} [static]

the seat has one or more keyboards

Definition at line 2660 of file wayland-client-protocol.hpp.

  const bitfield< 3, 12 > seat_capability::pointer {1} [static]

the seat has pointer devices

Definition at line 2658 of file wayland-client-protocol.hpp.

  const bitfield< 3, 12 > seat_capability::touch {4} [static]

the seat has touch devices

Definition at line 2662 of file wayland-client-protocol.hpp.

Author

Generated automatically by Doxygen for Wayland++ from the source code.